# Device Status

- This auto-generated list only included devices with the official Xiaomi HyperOS available. It is designed to track devices capable of bypassing BootLoader unlocking restrictions.
- Since Xiaomi's unlocking restrictions only apply to devices sold in PRC market (excluding Hong Kong, Macau and Taiwan), it focuses on devices sold in China mainland.

## Status Description

- ✔️ Opening: Unlock channel available. Restrictions can be bypassed.
- ❌ Blocked: Xiaomi has enforced verification. Unlocking is only possible with an authorized account.
- ⚠️ Unsupported: Xiaomi prohibits unlocking this device, regardless of permissions.
- ❓ Unknown: The unlock policy for this device could not be found in Xiaomi servers. Please refer to the actual situation. (Feedback required)

----

| Name | Code | Release Date | Initial OS | Status |
| :- | :-: | :-: | :-: | :- |
| Xiaomi 10 | umi | 2020-02-13 | MIUI | ✔️ Opening |
| Xiaomi 10S | thyme | 2021-03-10 | MIUI | ✔️ Opening |
| Xiaomi 10 Pro | cmi | 2020-02-13 | MIUI | ✔️ Opening |
| Xiaomi 10 Ultra | cas | 2020-08-11 | MIUI | ✔️ Opening |
| Xiaomi 11 Lite | lisa | 2021-12-09 | MIUI | ✔️ Opening |
| Xiaomi 11 | venus | 2020-12-28 | MIUI | ✔️ Opening |
| Xiaomi 11 Pro | star | 2021-03-29 | MIUI | ✔️ Opening |
| Xiaomi 11 Ultra | star | 2021-03-29 | MIUI | ✔️ Opening |
| Xiaomi 12X | psyche | 2021-12-28 | MIUI | ✔️ Opening |
| Xiaomi 12 | cupid | 2021-12-28 | MIUI | ✔️ Opening |
| Xiaomi 12 Pro | zeus | 2021-12-28 | MIUI | ✔️ Opening |
| Xiaomi 12 Pro Dimensity | daumier | 2022-07-04 | MIUI | ✔️ Opening |
| Xiaomi 12S | mayfly | 2022-07-04 | MIUI | ✔️ Opening |
| Xiaomi 12S Pro | unicorn | 2022-07-04 | MIUI | ✔️ Opening |
| Xiaomi 12S Ultra | thor | 2022-07-04 | MIUI | ✔️ Opening |
| Xiaomi 13 | fuxi | 2022-12-11 | MIUI | ✔️ Opening |
| Xiaomi 13 Pro | nuwa | 2022-12-12 | MIUI | ✔️ Opening |
| Xiaomi 13 Ultra | ishtar | 2023-04-18 | MIUI | ✔️ Opening |
| Xiaomi 14 | houji | 2023-10-26 | Xiaomi HyperOS | ❌ Blocked |
| Xiaomi 14 Pro | shennong | 2023-10-26 | Xiaomi HyperOS | ❌ Blocked |
| Xiaomi 14 Pro Ti Satellite | shennong | 2024-02-22 | Xiaomi HyperOS | ❌ Blocked |
| Xiaomi 14 Ultra | aurora | 2024-02-22 | Xiaomi HyperOS | ❓ Unknown |
| Xiaomi MIX 4 | odin | 2021-08-10 | MIUI | ✔️ Opening |
| Xiaomi MIX Fold | cetus | 2021-03-30 | MIUI Fold | ✔️ Opening |
| Xiaomi MIX Fold 2 | zizhan | 2022-08-11 | MIUI Fold | ✔️ Opening |
| Xiaomi MIX Fold 3 | babylon | 2023-08-14 | MIUI Fold | ✔️ Opening |
| Xiaomi MIX Fold 4 | goku | 2024-07-19 | Xiaomi HyperOS | ❌ Blocked |
| Xiaomi MIX Flip | ruyi | 2024-07-19 | Xiaomi HyperOS | ❌ Blocked |
| Xiaomi Civi | mona | 2021-09-27 | MIUI | ✔️ Opening |
| Xiaomi Civi 1S | zijin | 2022-04-21 | MIUI | ✔️ Opening |
| Xiaomi Civi 2 | ziyi | 2022-09-27 | MIUI | ✔️ Opening |
| Xiaomi Civi 3 | yuechu | 2023-05-25 | MIUI | ✔️ Opening |
| Xiaomi Civi 4 Pro | chenfeng | 2024-03-21 | Xiaomi HyperOS | ❌ Blocked |
| Xiaomi Pad 5 | nabu | 2021-08-10 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 5 Pro | elish | 2021-08-10 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 5 Pro 5G | enuma | 2021-08-10 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 5 Pro 12.4 | dagu | 2022-08-11 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 6 | pipa | 2023-04-18 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 6 Pro | liuqin | 2023-04-18 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 6 Max | yudi | 2023-08-14 | MIUI Pad | ✔️ Opening |
| Xiaomi Pad 6S Pro | sheng | 2024-02-22 | Xiaomi HyperOS | ❌ Blocked |
| Redmi 12C | earth | 2022-12-31 | MIUI | ✔️ Opening |
| Redmi 12 | sky | 2023-08-14 | MIUI | ✔️ Opening |
| Redmi 12R | sky | 2023-12-09 | MIUI | ✔️ Opening |
| Redmi Note 12R | sky | 2023-06-28 | MIUI | ✔️ Opening |
| Redmi 13R | air | 2023-12-08 | MIUI | ✔️ Opening |
| Redmi 13C | air | 2023-12-29 | MIUI | ✔️ Opening |
| Redmi 14R | flame | 2024-09-18 | Xiaomi HyperOS | ❓ Unknown |
| Redmi Note 11R | light | 2022-09-29 | MIUI | ✔️ Opening |
| Redmi Note 11E | light | 2022-03-01 | MIUI | ✔️ Opening |
| Redmi Note 11E Pro | veux | 2022-03-01 | MIUI | ✔️ Opening |
| Redmi Note 11 | evergo | 2021-10-28 | MIUI | ✔️ Opening |
| Redmi Note 11 Pro | pissarro | 2021-10-28 | MIUI | ✔️ Opening |
| Redmi Note 11 Pro+ | pissarro | 2021-10-28 | MIUI | ✔️ Opening |
| Redmi Note 11T Pro | xaga | 2022-05-24 | MIUI | ✔️ Opening |
| Redmi Note 11T Pro+ | xaga | 2022-05-24 | MIUI | ✔️ Opening |
| Redmi Note 12 | sunstone | 2022-10-27 | MIUI | ✔️ Opening |
| Redmi Note 12R Pro | sunstone | 2023-04-27 | MIUI | ✔️ Opening |
| Redmi Note 12 Pro | ruby | 2022-10-27 | MIUI | ✔️ Opening |
| Redmi Note 12 Pro+ | ruby | 2022-10-27 | MIUI | ✔️ Opening |
| Redmi Note 12 Pro Speed | redwood | 2022-12-27 | MIUI | ✔️ Opening |
| Redmi Note 12 Turbo | marble | 2023-03-28 | MIUI | ✔️ Opening |
| Redmi Note 12T Pro | pearl | 2023-05-30 | MIUI | ✔️ Opening |
| Redmi Note 13R | breeze | 2024-05-30 | Xiaomi HyperOS | ❌ Blocked |
| Redmi Note 13 | gold | 2023-09-21 | MIUI | ⚠️ Unsupported |
| Redmi Note 13R Pro | gold | 2023-11-20 | MIUI | ⚠️ Unsupported |
| Redmi Note 13 Pro | garnet | 2023-09-21 | MIUI | ⚠️ Unsupported |
| Redmi Note 13 Pro+ | zircon | 2023-09-21 | MIUI | ⚠️ Unsupported |
| Redmi Turbo 3 | peridot | 2024-04-10 | Xiaomi HyperOS | ❌ Blocked |
| Redmi Note 14 | beryl | 2024-09-26 | Xiaomi HyperOS | ❓ Unknown |
| Redmi Note 14 Pro | malachite | 2024-09-26 | Xiaomi HyperOS | ❓ Unknown |
| Redmi Note 14 Pro+ | amethyst | 2024-09-26 | Xiaomi HyperOS | ❌ Blocked |
| Redmi K40 Gaming | ares | 2021-04-27 | MIUI | ✔️ Opening |
| Redmi K40 | alioth | 2021-02-25 | MIUI | ✔️ Opening |
| Redmi K40S | munch | 2022-03-17 | MIUI | ✔️ Opening |
| Redmi K40 Pro | haydn | 2021-02-25 | MIUI | ✔️ Opening |
| Redmi K40 Pro+ | haydn | 2021-02-25 | MIUI | ✔️ Opening |
| Redmi K50 Gaming | ingres | 2022-02-16 | MIUI | ✔️ Opening |
| Redmi K50 | rubens | 2022-03-17 | MIUI | ✔️ Opening |
| Redmi K50 Pro | matisse | 2022-03-17 | MIUI | ✔️ Opening |
| Redmi K50 Ultra | diting | 2022-08-11 | MIUI | ✔️ Opening |
| Redmi K60E | rembrandt | 2022-12-27 | MIUI | ✔️ Opening |
| Redmi K60 | mondrian | 2022-12-27 | MIUI | ✔️ Opening |
| Redmi K60 Pro | socrates | 2022-12-27 | MIUI | ✔️ Opening |
| Redmi K60 Ultra | corot | 2023-08-14 | MIUI | ✔️ Opening |
| Redmi K70E | duchamp | 2023-11-29 | Xiaomi HyperOS | ❌ Blocked |
| Redmi K70 | vermeer | 2023-11-29 | Xiaomi HyperOS | ❌ Blocked |
| Redmi K70 Pro | manet | 2023-11-29 | Xiaomi HyperOS | ❌ Blocked |
| Redmi K70 Ultra | rothko | 2024-07-19 | Xiaomi HyperOS | ❌ Blocked |
| Redmi Pad SE | xun | 2023-09-21 | MIUI Pad | ✔️ Opening |
| Redmi Pad | yunluo | 2022-10-27 | MIUI Pad | ✔️ Opening |
| Redmi Pad Pro | dizi | 2024-04-10 | Xiaomi HyperOS | ❌ Blocked |
| Redmi Pad Pro 5G | ruan | 2024-04-10 | Xiaomi HyperOS | ❌ Blocked |
